Create Customer
curl --request POST \
--url https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_customers \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"company_name": "<string>"
}
'import requests
url = "https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_customers"
payload = {
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"company_name": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
phone: '<string>',
email: '<string>',
company_name: '<string>'
})
};
fetch('https://prod-contactswing-fastapi-962560522883.us-central1.run.app/v2/_customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ctx_id": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"phone": "<string>"
}
}Customers
Create Customer
Create a new customer via the ContactSwing API.
POST
/
v2
/
_customers
Create Customer
Authorizations
string
required
Enter your ContactSwing JWT Bearer token.
Request Body
JSON: CustomerRequest (see OpenAPI spec)string
required
Customer full name
string
Phone number
+1234567890string
Email address
user@example.comstring
Company name
Response
201 Created - Customer created successfullystring
Request context ID
⌘I

